(function(angular){
    'use strict';

    angular.module('edit_class', [
        'edit_class.controllers',
        'edit_class.services',
        'certification.service',
        'djangular',
        'directive.waiting-screen',
        'directive.alertPopup',
        'directive.fixedBar',
        'ngSanitize',
        'core.services',
        // 'ui.bootstrap',
        'ui.select',
        'shared',
    ]);

    angular.module('edit_class').run(['gettextCatalog', function (gettextCatalog) {
    /* jshint -W100 */
        gettextCatalog.setStrings('es', {"Class name": "Nombre de la clase", "Assistant professor": "Profesor asistente", "Students": "Estudiantes", "Actions": "Acciones", "Classes":"Clases","Create class": "Crear clase", "See class": "Ver clase", "No classes found": "No se encontraron clases",
        "Changes saved successfully.":"Alterações salvas com sucesso.","Fields were not filled in correctly.":"Los campos no se completaron correctamente.","You do not have permission to view content on this page.":"No tienes permiso para ver el contenido de esta página.","This class does not exist!":"¡Esta clase no existe!",
        "Something seems to have gone wrong!":"¡Algo parece haber salido mal!", "Are you sure you want to delete this class":"¿Estás seguro de que quieres eliminar esta clase"});
        gettextCatalog.setStrings('pt_br', {"Class name": "Nome da Turma", "Assistant professor": "Professor Assistente", "Students": "Alunos", "Actions": "Ações","Classes":"Turmas", "Create class": "Criar turma", "See class": "Ver turma", "No classes found": "Nenhuma turma encontrada",
        "Changes saved successfully.":"Los cambios se guardaron exitosamente.","Fields were not filled in correctly.":"Os campos não foram preenchidos corretamente.","You do not have permission to view content on this page.":"Você não tem permissão para ver conteúdo nesta página.","This class does not exist!":"Esta classe não existe!",
        "Something seems to have gone wrong!":"Alguma coisa parece ter dado errado!", "Are you sure you want to delete this class":"Tem certeza que deseja deletar esta classe"});
    /* jshint +W100 */
    }]);
})(angular);
