(function(angular){
    'use strict';

    var app = angular.module('lesson', [
        'django',
        'lesson.controllers',
        'lesson.services',
        'lesson.directives',
        'activities',
        'ngRoute',
        'ngResource',
        'youtube',
        'djangular',
        'notes',
        // 'directives.layout',
        'discussion.controllers',
        'discussion.services',
        'ui.tinymce',
        'ui.bootstrap',
        'ngFileUpload',
        'shared',
    ]);

    angular.module('lesson').run(['gettextCatalog', function (gettextCatalog) {
        gettextCatalog.setStrings('es', {"Unable to save your answer. Please check your internet connection and try again! If the problem persists, save your text in a file on your computer so you don't lose your activity.": "No se pudo guardar su respuesta. Comprueba tu conexión a Internet y vuelve a intentarlo. Si el problema persiste, guarde su texto en un archivo en su computadora para no perder su actividad."});
        gettextCatalog.setStrings('pt_br', {"Unable to save your answer. Please check your internet connection and try again! If the problem persists, save your text in a file on your computer so you don't lose your activity.": "Não foi possível salvar a sua resposta. Por favor, verifique sua conexão com a internet e tente novamente! Caso o problema persista, salve o seu texto em um arquivo no seu computador para não perder sua atividade."});
    }]);

})(angular);
