
(function (angular) {
    'use strict';
    /* Services */
    angular.module('reports.services', ['ngResource']).
        factory('CourseUserReport', function($resource){
            return $resource(BASE_API_URL + '/reports', {}, {
            });
        }).factory('ActionsUserReport', function($resource){
            return $resource(COURSES_BASE_API_URL + '/user-activities', {}, {
            });
        }).factory('AccessUserReport', function($resource){
            return $resource(COURSES_BASE_API_URL + '/user-access', {}, {
            });
        }).factory('LessonsUserProgress', function($resource){
            return $resource(BASE_API_URL + '/lessons_user_progress/:courseId', {}, {
            });
        }).factory('CourseStats', function($resource){
            return $resource(BASE_API_URL + '/course_stats/:courseId', {}, {
            });
        }).factory('GeneralSummary', function($resource){
            return $resource(BASE_API_URL + '/summary/', {}, {
            });
        }).factory('Contract', function($resource){
            return $resource(BASE_API_URL + '/contract/', {}, {
            });
        }).factory('GeneralUserReports', function($resource){
            return $resource(COURSES_BASE_API_URL + '/iat/general-user-report/', {}, {
            });
        }).factory('NteParticipationReport', function($resource){
            return $resource(COURSES_BASE_API_URL + '/iat/nte-participation-report/', {}, {
            });
        }).factory('NteMunicipiosReport', function($resource){
            return $resource(COURSES_BASE_API_URL + '/iat/nte-municipios-report/', {}, {
            });
        }).factory('ClassroomReport', function($resource){
            return $resource(COURSES_BASE_API_URL + '/iat/classroom-report/', {}, {
            });
        }).factory('GeneralFilterOptions', function($resource){
            return $resource(COURSES_BASE_API_URL + '/iat/report-filters/', {}, {
            });
        }).factory('RoleParticipationReport', function($resource){
            return $resource(COURSES_BASE_API_URL + '/iat/role-participation-report/', {}, {
            });
        });
})(angular);
