from django.conf.urls import url
from django.contrib.auth.decorators import permission_required
from django.views.generic import TemplateView

from courses.import_export.views import ExportCourseView, ImportCourseView


urlpatterns = [
    # Participation Report
    url(r'^participation/$', permission_required('is_staff')(TemplateView.as_view(template_name="user-participation-report.html")), name='reports.participation'),
     url(r'^user-reports/$', permission_required('is_staff')(TemplateView.as_view(template_name="user-general-report.html")), name='user_reports')
]

